List a Project Release's Commits

GET /api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/releases/{version}/commits/

Retrieve a list of commits for a given release.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

project_id_or_slug (string)
REQUIRED

The ID or slug of the project the resource belongs to. Project slugs are unique within each organization.

version (string)
REQUIRED

The version identifier of the release

Query Parameters:

cursor (string)

A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

Scopes

<auth_token> requires one of the following scopes:
  • org:ci
  • project:admin
  • project:read
  • project:releases
  • project:write
Copied
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/releases/{version}/commits/ \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
[ { "id": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2", "message": "fix: handle empty release version", "dateCreated": "2024-01-01T00:00:00Z", "pullRequest": null, "suspectCommitType": "", "releases": [ { "version": "frontend@1.0.0", "shortVersion": "1.0.0", "ref": null, "url": null, "dateReleased": null, "dateCreated": "2024-01-01T00:00:00Z" } ] } ]
Was this helpful?